<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: MainWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_main_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">MainWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for MainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_main_window__inherit__graph.png" border="0" usemap="#a_main_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_main_window_inherit__map" id="a_main_window_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,141,341"/>
<area shape="rect" title=" " alt="" coords="25,5,122,75"/>
<area shape="poly" title=" " alt="" coords="76,90,76,123,71,123,71,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for MainWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_main_window__coll__graph.png" border="0" usemap="#a_main_window_coll__map" alt="Collaboration graph"/></div>
<map name="a_main_window_coll__map" id="a_main_window_coll__map">
<area shape="rect" title=" " alt="" coords="107,513,243,689"/>
<area shape="rect" title=" " alt="" coords="5,252,103,321"/>
<area shape="poly" title=" " alt="" coords="74,334,118,448,143,513,138,515,113,450,69,336"/>
<area shape="rect" href="class_data_frame.html" title=" " alt="" coords="127,156,223,417"/>
<area shape="poly" title=" " alt="" coords="178,417,178,496,173,496,173,417"/>
<area shape="rect" href="class_graphs.html" title=" " alt="" coords="247,124,413,449"/>
<area shape="poly" title=" " alt="" coords="253,450,228,499,224,497,248,448"/>
<area shape="rect" title=" " alt="" coords="279,5,381,75"/>
<area shape="poly" title=" " alt="" coords="333,89,333,124,327,124,327,89"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a8ee4a5ecf758a4bbe6b83acf03106a68" id="r_a8ee4a5ecf758a4bbe6b83acf03106a68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8ee4a5ecf758a4bbe6b83acf03106a68">fillStats</a> ()</td></tr>
<tr class="separator:a8ee4a5ecf758a4bbe6b83acf03106a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e27034d5ee7111d311259cde423370e" id="r_a8e27034d5ee7111d311259cde423370e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8e27034d5ee7111d311259cde423370e">showStat</a> ()</td></tr>
<tr class="separator:a8e27034d5ee7111d311259cde423370e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d8faff47dd5b162317b44dcf73b44fc" id="r_a9d8faff47dd5b162317b44dcf73b44fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9d8faff47dd5b162317b44dcf73b44fc">openChartWindow</a> ()</td></tr>
<tr class="separator:a9d8faff47dd5b162317b44dcf73b44fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ade193606e9b18026567ff304bd9e5ed9" id="r_ade193606e9b18026567ff304bd9e5ed9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ade193606e9b18026567ff304bd9e5ed9">MainWindow</a> (QWidget *parent=nullptr, const QString &amp;filePath=&quot;&quot;)</td></tr>
<tr class="separator:ade193606e9b18026567ff304bd9e5ed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae98d00a93bc118200eeef9f9bba1dba7" id="r_ae98d00a93bc118200eeef9f9bba1dba7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae98d00a93bc118200eeef9f9bba1dba7">~MainWindow</a> ()</td></tr>
<tr class="separator:ae98d00a93bc118200eeef9f9bba1dba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a35466a70ed47252a0191168126a352a5" id="r_a35466a70ed47252a0191168126a352a5"><td class="memItemLeft" align="right" valign="top">Ui::MainWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a35466a70ed47252a0191168126a352a5">ui</a></td></tr>
<tr class="separator:a35466a70ed47252a0191168126a352a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0af58c09897cc5d5c07039efae313787" id="r_a0af58c09897cc5d5c07039efae313787"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0af58c09897cc5d5c07039efae313787">_filePath</a></td></tr>
<tr class="separator:a0af58c09897cc5d5c07039efae313787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee71f1842d548203e9fcc53d44510d9" id="r_acee71f1842d548203e9fcc53d44510d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acee71f1842d548203e9fcc53d44510d9">_df</a></td></tr>
<tr class="separator:acee71f1842d548203e9fcc53d44510d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f53803003e1620fb77ebda818729b5" id="r_aa6f53803003e1620fb77ebda818729b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_graphs.html">Graphs</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa6f53803003e1620fb77ebda818729b5">lineChart</a></td></tr>
<tr class="separator:aa6f53803003e1620fb77ebda818729b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ade193606e9b18026567ff304bd9e5ed9" name="ade193606e9b18026567ff304bd9e5ed9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade193606e9b18026567ff304bd9e5ed9">&#9670;&#160;</a></span>MainWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MainWindow::MainWindow </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>filePath</em><span class="paramdefsep"> = </span><span class="paramdefval">&quot;&quot;</span></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae98d00a93bc118200eeef9f9bba1dba7" name="ae98d00a93bc118200eeef9f9bba1dba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae98d00a93bc118200eeef9f9bba1dba7">&#9670;&#160;</a></span>~MainWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MainWindow::~MainWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8ee4a5ecf758a4bbe6b83acf03106a68" name="a8ee4a5ecf758a4bbe6b83acf03106a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ee4a5ecf758a4bbe6b83acf03106a68">&#9670;&#160;</a></span>fillStats</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::fillStats </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9d8faff47dd5b162317b44dcf73b44fc" name="a9d8faff47dd5b162317b44dcf73b44fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d8faff47dd5b162317b44dcf73b44fc">&#9670;&#160;</a></span>openChartWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::openChartWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e27034d5ee7111d311259cde423370e" name="a8e27034d5ee7111d311259cde423370e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e27034d5ee7111d311259cde423370e">&#9670;&#160;</a></span>showStat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MainWindow::showStat </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acee71f1842d548203e9fcc53d44510d9" name="acee71f1842d548203e9fcc53d44510d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acee71f1842d548203e9fcc53d44510d9">&#9670;&#160;</a></span>_df</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> MainWindow::_df</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0af58c09897cc5d5c07039efae313787" name="a0af58c09897cc5d5c07039efae313787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0af58c09897cc5d5c07039efae313787">&#9670;&#160;</a></span>_filePath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString MainWindow::_filePath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa6f53803003e1620fb77ebda818729b5" name="aa6f53803003e1620fb77ebda818729b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6f53803003e1620fb77ebda818729b5">&#9670;&#160;</a></span>lineChart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_graphs.html">Graphs</a>* MainWindow::lineChart</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a35466a70ed47252a0191168126a352a5" name="a35466a70ed47252a0191168126a352a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35466a70ed47252a0191168126a352a5">&#9670;&#160;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::MainWindow* MainWindow::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="mainwindow_8cpp.html">mainwindow.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
